Bug 1264815 - No route matches {:action=>"show_list", :controller=>"foreman_provider", :id=>nil} [miq_request/prov_edit] on cancel configured sytem provisioning
No route matches {:action=>"show_list", :controller=>"foreman_provider", :id=...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Aparna Karve
Aziza Karol
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 05:36 EDT by Aziza Karol
Modified: 2015-12-08 08:31 EST (History)
4 users (show)

See Also:
Fixed In Version: 5.5.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:31:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
err (50.37 KB, image/png)
2015-09-21 05:36 EDT, Aziza Karol
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 12:58:09 EST

  None (edit)
Description Aziza Karol 2015-09-21 05:36:36 EDT
Created attachment 1075428 [details]
err

Description of problem:


Version-Release number of selected component (if applicable):
5.5.0.1-alpha1.20150915151429_2230bd4.

How reproducible:
100%

Steps to Reproduce:
1.Navigate to infrastructure->configuration management
2.From lifecycle provision a configured system 
3.do not enter any details in the provisioning form and just click cancel

Actual results:
Error is thrown when clicked on cancel button. see attached screenshot

Expected results:


Additional info:
production.log:
[----] I, [2015-09-21T05:14:45.229737 #14772:473998]  INFO -- : Started POST "/miq_request/prov_edit/new?button=cancel" for 127.0.0.1 at 2015-09-21 05:14:45 -0400
[----] I, [2015-09-21T05:14:45.231372 #14772:473998]  INFO -- : Processing by MiqRequestController#prov_edit as JS
[----] I, [2015-09-21T05:14:45.231485 #14772:473998]  INFO -- :   Parameters: {"button"=>"cancel", "id"=>"new"}
[----] F, [2015-09-21T05:14:45.283922 #14772:473998] FATAL -- : Error caught: [ActionController::UrlGenerationError] No route matches {:action=>"show_list", :controller=>"foreman_provider", :id=>nil}
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/journey/formatter.rb:46:in `generate'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:729:in `generate'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:760:in `generate'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:803:in `url_for'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/routing/url_for.rb:156:in `url_for'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/routing_url_for.rb:94:in `url_for'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/action_view/helpers/jquery_helper.rb:457:in `redirect_to'
/var/www/miq/vmdb/app/controllers/application_controller/miq_request_methods.rb:564:in `block in prov_request_cancel_submit_response'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/action_view/helpers/jquery_helper.rb:154:in `instance_exec'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/action_view/helpers/jquery_helper.rb:154:in `block in initialize'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/helpers/capture_helper.rb:202:in `with_output_buffer'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/action_view/helpers/jquery_helper.rb:153:in `initialize'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/jquery-rjs/renderers.rb:7:in `new'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-33e0fc1c0b25/lib/jquery-rjs/renderers.rb:7:in `block in <module:Renderers>'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/renderers.rb:45:in `block in _render_to_body_with_renderer'
/opt/rh/rh-ruby22/root/usr/share/ruby/set.rb:283:in `each_key'
/opt/rh/rh-ruby22/root/usr/share/ruby/set.rb:283:in `each'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/renderers.rb:41:in `_render_to_body_with_renderer'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/renderers.rb:37:in `render_to_body'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/rendering.rb:25:in `render'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/rendering.rb:16:in `render'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:44:in `block (2 levels) in render'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/core_ext/benchmark.rb:12:in `block in ms'
/opt/rh/rh-ruby22/root/usr/share/ruby/benchmark.rb:303:in `realtime'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/core_ext/benchmark.rb:12:in `ms'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:44:in `block in render'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:87:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/railties/controller_runtime.rb:25:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:43:in `render'
/var/www/miq/vmdb/app/controllers/application_controller/miq_request_methods.rb:557:in `prov_request_cancel_submit_response'
/var/www/miq/vmdb/app/controllers/application_controller/miq_request_methods.rb:183:in `prov_edit'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/base.rb:198:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:555:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:92:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:778:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/params_wrapper.rb:250:in `process_action'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/abstract_controller/base.rb:137:in `process'
/opt/rh/cfme-gemset/gems/actionview-4.2.4/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal.rb:196:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_controller/metal.rb:237:in `block in action'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:76:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:76:in `dispatch'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:45:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/journey/router.rb:43:in `block in serve'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/journey/router.rb:30:in `each'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/journey/router.rb:30:in `serve'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/routing/route_set.rb:821:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/etag.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/conditionalget.rb:38:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/head.rb:13:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/params_parser.rb:27:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/flash.rb:260:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:225:in `context'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:220:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/cookies.rb:560:in `call'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/query_cache.rb:36:in `call'
/opt/rh/cfme-gemset/gems/activerecord-4.2.4/lib/active_record/connection_adapters/abstract/connection_pool.rb:653:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/callbacks.rb:29:in `block in call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:88:in `__run_callbacks__'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:778:in `_run_call_callbacks'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/callbacks.rb:27:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/remote_ip.rb:78:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/debug_exceptions.rb:17:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/rack/logger.rb:38:in `call_app'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/rack/logger.rb:22:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/request_id.rb:21:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/methodoverride.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/runtime.rb:18:in `call'
/opt/rh/cfme-gemset/gems/activesupport-4.2.4/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/lock.rb:17:in `call'
/opt/rh/cfme-gemset/gems/actionpack-4.2.4/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/sendfile.rb:113:in `call'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/engine.rb:518:in `call'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/application.rb:165:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/content_length.rb:15:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:86:in `block in pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `catch'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:53:in `process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:39:in `receive_data'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run_machine'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/backends/base.rb:73:in `start'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/server.rb:162:in `start'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/handler/thin.rb:19:in `run'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/server.rb:286:in `start'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/server.rb:80:in `start'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:80:in `block in server'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:75:in `tap'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:75:in `server'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'
Comment 2 Aparna Karve 2015-09-22 17:27:09 EDT
PR - https://github.com/ManageIQ/manageiq/pull/4478
Comment 3 CFME Bot 2015-09-23 18:53:24 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/9e1e3a7c1722f17500664cc88c8246c4b3c4c49b

commit 9e1e3a7c1722f17500664cc88c8246c4b3c4c49b
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Tue Sep 22 10:50:26 2015 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Tue Sep 22 12:38:57 2015 -0700

    Fix @table_name to reflect the correct controller name
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1264815

 app/controllers/provider_foreman_controller.rb       | 4 ++--
 spec/controllers/provider_foreman_controller_spec.rb | 2 ++
 2 files changed, 4 insertions(+), 2 deletions(-)
Comment 5 CFME Bot 2015-09-23 18:58:59 EDT
Detected commit referencing this ticket while ticket status is POST.
Comment 6 Aziza Karol 2015-10-28 03:41:43 EDT
Flash message "Provision ConfiguredSystem Request was cancelled by the user" is displayed on cancel configured sytem provisioning.

Verified:5.5.0.7-beta1.3.20151021133253_ed40d96
Comment 8 errata-xmlrpc 2015-12-08 08:31:51 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.